corda / net.corda.core.serialization / ClassWhitelist

# ClassWhitelist

`interface ClassWhitelist`

### Functions

hasListed | `abstract fun hasListed(type: Class<*>): Boolean`

### Inheritors

AllWhitelist | `object AllWhitelist : ClassWhitelist`
BuiltInExceptionsWhitelist | `class BuiltInExceptionsWhitelist : ClassWhitelist`
EmptyWhitelist | `object EmptyWhitelist : ClassWhitelist`
GlobalTransientClassWhiteList | `class GlobalTransientClassWhiteList : MutableClassWhitelist, ClassWhitelist`
MutableClassWhitelist | `interface MutableClassWhitelist : ClassWhitelist`